<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_CurrentUser.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">objects/fwAccessControl/fwAccessControl_CurrentUser.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>Current User and Access Control Menu object</p>
<p>
	<p>
	This is a reference panel to be used (embedded) in the user's panels. It indicates the name of the user
	that is currently logged-in (to the instance of the UI), and allows to perform common operations, such
	as login of another user, logout, lookup of user with certain privilege, or even system administration.
	</p>
	<p>
	This panel is embedded, for instance, in the <a href="fwAccessControl_Toolbar.htm">Access Control Toolbar</a>  panel,
	used frequently by system administrators, therefore it will further be discussed in context of the Toolbar panel.
	</p>
	<p>
	The toolbar panel (constituted by the fwAccessControl_CurrentUser.pnl embedded as a reference panel) is presented in
	Figure 1.
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_Toolbar1.png"></td></tr>
<tr><td><span class="caption">Figure 1: The Access Control Toolbar panel</span></td></tr>
</table></div>
	
	The panel consisits of the framed line of text indicating the login name of the user currently logged in
	("operator" in Figure 1),
	and the <img class="button" align="center" src="login.png"> button, clicking on which brings up the <a href="login_panel.htm">login</a> 
	panel. The indicated user name may also be "NO USER", which indicates that nobody is logged in.
	<br> 
	The Toolbar panel contains also the standard framework help button (shown in Figure 1);
	the reference panel fwAccessControl_CurrentUser.pnl contains neither the help button, nor the "JCOP Framework Access Control"
	title.
	</p>
	<p>
	Right-clicking on the <img class="button" align="center" src="login.png"> button, or on the user name, brings up the context menu, presented in Figure 2.
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_Toolbar2.png"></td></tr>
<tr><td><span class="caption">Figure 2: Context menu of the Toolbar</span></td></tr>
</table></div>
	The description of the commands in the context menu are given in the "Instructions" section below.
	</p>
	
	<p>
	    The <span class="button">Tools &gt;</span> submenu contains the entries presented in Figure 3.
	    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_Toolbar3.png"></td></tr>
<tr><td><span class="caption">Figure 3: "Tools" sub-menu of the context menu</span></td></tr>
</table></div>
	</p>

	<p>
	    The <span class="button">Administration &gt;</span> submenu contains the entries presented in Figure 4.
	    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_Toolbar4.png"></td></tr>
<tr><td><span class="caption">Figure 4: "Administration" sub-menu of the context menu</span></td></tr>
</table></div>
	</p>
	
	
	<p>
	When access control is disabled (see the <a href="fwAccessControl_Setup.htm">Setup</a>  panel), the panel
	is surrounded by a yellow frame, as shown in Figure 5.
	<div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_Toolbar5.png"></td></tr>
<tr><td><span class="caption">Figure 5: The panel indicates that access control is disabled</span></td></tr>
</table></div>
	In the disabled mode of operation, all users are granted all access right (i.e. all restrictions 
	in the panels are deactivated).
	</p>
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To bring up the context menu:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Right click on the user name or the <img class="button" align="center" src="login.png"> button.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To log out:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	select <span class="selbutton">Log out</span> in the context menu.
	Note that the user name indicator changes to "NO USER".
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To log in:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	left-click on the <img class="button" align="center" src="login.png"> button, or select <span class="selbutton">Log in</span> in the context menu;
	this will bring up the <a href="login_panel.htm">Login panel</a> ; follow the instructions for that panel.
	Upon succesfull login, the user name indicator shows the name of the new user; the state of the panels that were left open
	may also change (elements being enabled/disabled) according to the access rights of the new user.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To change the password:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	select <span class="selbutton">Change password</span> in the context menu;
	this will bring up the <a href="password.htm">Change password</a>  panel.<br>
	To change the password of another user (user administrator privileges needed) you may use the 
	<a href="fwAccessControl_EditUser.htm">Edit User</a>  panel; follow the instructions for that panel.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To get help:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	select <span class="selbutton">Help</span> in the context menu - the help page which you read
	right now will be displayed.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To find a user having certain access rights:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	open the <span class="button">Tools &gt;</span> submenu in the context menu (Figure 3) and select 
	<span class="selbutton">Find user with privilege</span>;
	this will bring up the 	<a href="fwAccessControl_PrivHoldersList.htm">Privilege Holders List</a>  panel;
	follow the instructions for that panel to select the access right you wish to learn.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To display the list of users logged in to the system:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	open the <span class="button">Tools &gt;</span> submenu in the context menu (Figure 3) and select 
	<span class="selbutton">Show logged-in users</span>;
	this will bring up the 	panel with 
	<a href="fwAccessControl_ActiveUserList.htm">List of Users Logged in to the systems</a> .
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To display the list of users, inspect or administer them:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	open the <span class="button">Administration &gt;</span> submenu in the context menu (Figure 4) and select 
	<span class="selbutton">Users</span>;
	this will bring up the 
	<a href="fwAccessControl_UserList.htm">List of User</a>  panel; follow the instructions
	for that panel to inspect the users or modify them.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To display the list of groups, inspect or administer them:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	open the <span class="button">Administration &gt;</span> submenu in the context menu (Figure 4) and select 
	<span class="selbutton">Groups</span>;
	this will bring up the 
	<a href="fwAccessControl_GroupList.htm">List of Domains</a>  panel; follow the instructions
	for that panel to inspect the groups or modify them.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To display the list of domains, inspect or administer them:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	open the <span class="button">Administration &gt;</span> submenu in the context menu (Figure 4) and select 
	<span class="selbutton">Domains</span>;
	this will bring up the 
	<a href="fwAccessControl_DomainList.htm">List of Domains</a>  panel; follow the instructions
	for that panel to inspect the domains or modify them.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To modify the settings of the Access Control:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	open the <span class="button">Administration &gt;</span> submenu in the context menu (Figure 4) and select 
	<span class="selbutton">Setup</span>;
	this will bring up the 
	<a href="fwAccessControl_Setup.htm">Setup</a>  panel; follow the instructions
	for that panel. Note tha you need system administration privileges (be logged in as root)
	to effectively use this panel.
    </dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul></ul></td>
</tr>
</tbody></table>
<br>

<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
